Bug 506304 - missing dependency
missing dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 12:20 EDT by Karel Volný
Modified: 2009-07-01 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 12:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2009-06-16 12:20:37 EDT
Description of problem:
My installation process broke. I tried to finish it manually. For that purpose I installed firstboot, however I am unable to run it, it gives me error message about missing module.

Version-Release number of selected component (if applicable):
firstboot-1.106-1.fc11

How reproducible:
always

Steps to Reproduce:
1. break your installation ...
2. yum install firstboot
3. firstboot
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/firstboot", line 46, in <module>
    from rhpl.keyboard import Keyboard
  File "/usr/lib/python2.6/site-packages/rhpl/keyboard.py", line 25, in <module>
    import dbus
ImportError: No module named dbus

Expected results:
(no error, firstboot runs)

Additional info:
I know that this is not standard situation and it would run if the installation would finish correctly, but still, the dependency chain should be complete, so that the dbus module would get pulled by yum install ...
Comment 1 Chris Lumens 2009-06-29 08:17:53 EDT
This is a rhpl problem, not a firstboot problem as you can tell from the traceback.
Comment 2 Chris Lumens 2009-07-01 12:47:57 EDT
As part of bug 508951, we're planning on getting rid of rhpl so this isn't really worth looking into.

Note You need to log in before you can comment on or make changes to this bug.